upgrade raven to latest in requirements.txt

VERIFIED FIXED

Status

Socorro
General
VERIFIED FIXED
9 months ago
9 months ago

People

(Reporter: willkg, Assigned: peterbe)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

Socorro is using an raven version 5.27.1. The current version is 6.1.0.

When we look at Sentry, it often has a blurb like this:

   This event was reported with an old version of the python SDK.

That's probably not great because in order for Sentry to work right, the client and server sides should both be up-to-date.

Part of me wonders if this is the cause of interesting things like in this Sentry issue:

https://sentry.prod.mozaws.net/operations/socorro-stage/issues/622537/

Anyhow, this bug covers upgrading raven.
(Assignee)

Updated

9 months ago
Assignee: nobody → peterbe
(Assignee)

Comment 1

9 months ago
Before I forget, I upgraded and tested it from the webapp locally. Seems to have worked: https://sentry.prod.mozaws.net/operations/socorro-stage/issues/626789/
No more "This event was reported with an old version of the python SDK." message.

Comment 3

9 months ago
Commit pushed to master at https://github.com/mozilla-services/socorro

https://github.com/mozilla-services/socorro/commit/943db793037f044f794fd82aa9195e10063de012
fixes bug 1382508 - upgrade to raven 6.1.0 (#3858)

* fixes bug 1382508 - upgrade to raven 6.1.0

* fix mocking tests

Updated

9 months ago
Status: NEW → RESOLVED
Last Resolved: 9 months ago
Resolution: --- → FIXED
(Assignee)

Comment 4

9 months ago
Works in stage webapp 
https://sentry.prod.mozaws.net/operations/socorro-stage/issues/626789/
Status: RESOLVED → VERIFIED
You need to log in before you can comment on or make changes to this bug.